uuid: e7542aee-f2f2-4e3a-987e-489655631aaa
langcode: fr
status: true
dependencies:
  config:
    - search_api.index.default_index
  module:
    - search_api
_core:
  default_config_hash: EeNNkLARDmftWehrk-ew_OW8srW2RgDKI1mZrWxZ-ao
id: search_content
label: 'Search content'
module: views
description: 'A search page preconfigured to search through the content of your site'
tag: ''
base_table: search_api_index_default_index
base_field: search_api_id
display:
  default:
    display_plugin: default
    id: default
    display_title: Master
    position: 0
    display_options:
      access:
        type: none
        options: {  }
      cache:
        type: none
        options: {  }
      query:
        type: search_api_query
        options: {  }
      exposed_form:
        type: input_required
        options:
          submit_button: Search
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
          text_input_required: 'Please enter some keywords to search.'
          text_input_required_format: basic_html
      pager:
        type: mini
        options:
          items_per_page: 10
          offset: 0
          id: 0
          total_pages: null
          tags:
            previous: '‹ previous'
            next: 'next ›'
          expose:
            items_per_page: false
            items_per_page_label: 'Items per page'
            items_per_page_options: '5, 10, 25, 50'
            items_per_page_options_all: false
            items_per_page_options_all_label: '- All -'
            offset: false
            offset_label: Offset
      style:
        type: default
      row:
        type: search_api
        options:
          view_modes:
            'entity:node':
              article: search_result
              page: search_result
      filters:
        search_api_fulltext:
          id: search_api_fulltext
          table: search_api_index_default_index
          field: search_api_fulltext
          relationship: none
          group_type: group
          admin_label: ''
          operator: and
          value: ''
          group: 1
          exposed: true
          expose:
            operator_id: search_op
            label: Search
            description: ''
            use_operator: false
            operator: search_op
            identifier: keys
            required: true
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
            operator_limit_selection: false
            operator_list: {  }
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          parse_mode: terms
          min_length: 3
          fields: {  }
          plugin_id: search_api_fulltext
      sorts: {  }
      title: 'Search Content'
      header:
        result:
          id: result
          table: views
          field: result
          relationship: none
          group_type: group
          admin_label: ''
          empty: false
          content: 'Displaying results @start - @end of @total'
          plugin_id: result
      footer: {  }
      empty: {  }
      relationships: {  }
      arguments: {  }
      display_extenders: {  }
    cache_metadata:
      contexts:
        - 'languages:language_interface'
        - url
        - url.query_args
      cacheable: false
      max-age: -1
      tags: {  }
  page_1:
    display_plugin: page
    id: page_1
    display_title: Page
    position: 1
    display_options:
      display_extenders: {  }
      path: search/content
    cache_metadata:
      contexts:
        - 'languages:language_interface'
        - url
        - url.query_args
      cacheable: false
      max-age: -1
      tags: {  }
